    Program f04asfe

!     F04ASF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: f04asf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Integer                          :: i, ifail, lda, n
!     .. Local Arrays ..
      Real (Kind=nag_wp), Allocatable  :: a(:,:), b(:), c(:), wk1(:), wk2(:)
!     .. Executable Statements ..
      Write (nout,*) 'F04ASF Example Program Results'
      Write (nout,*)
!     Skip heading in data file
      Read (nin,*)
      Read (nin,*) n
      lda = n
      Allocate (a(lda,n),b(n),c(n),wk1(n),wk2(n))
      Read (nin,*)(a(i,1:n),i=1,n), b(1:n)

!     ifail: behaviour on error exit
!             =0 for hard exit, =1 for quiet-soft, =-1 for noisy-soft
      ifail = 0
      Call f04asf(a,lda,b,n,c,wk1,wk2,ifail)

      Write (nout,*) ' Solution'
      Write (nout,99999) c(1:n)

99999 Format (1X,F9.4)
    End Program f04asfe
